import { AiService } from 'src/ai/ai.service';
import { EmailTemplate } from './entities/email-template.entity';
import { EmailTemplateCluesService } from 'src/email-template-clues/email-template-clues.service';
import { EmailLandingPageService } from 'src/email-landing-page/email-landing-page.service';
export declare class EmailTemplateService {
    private emailTemplateModel;
    private aiService;
    private landingPageService;
    private readonly emailTemplateCluesService;
    private readonly logger;
    constructor(emailTemplateModel: typeof EmailTemplate, aiService: AiService, landingPageService: EmailLandingPageService, emailTemplateCluesService: EmailTemplateCluesService);
    create(data: Partial<EmailTemplate>, businessId: string): Promise<EmailTemplate>;
    createFromJson(data: Partial<EmailTemplate>[], businessId: string): Promise<EmailTemplate>;
    getComplexity(complexity: string): string;
    autogenerateEmailTemplateFromPrompt(data: {
        prompt: string;
    }, businessId: string): Promise<EmailTemplate>;
    findAll(businessId: string): Promise<EmailTemplate[]>;
    findOne(id: string, businessId: string): Promise<EmailTemplate>;
    findByDomain(domainName: string, businessId: string): Promise<EmailTemplate[]>;
    update(id: string, data: Partial<EmailTemplate>, businessId: string): Promise<EmailTemplate>;
    remove(id: string, businessId: string): Promise<void>;
}
